Автор Тема: Virtualbox на Tails 3.9.1 (Debian 9.5)  (Прочитано 2216 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Amaleic

  • Новичок форума
  • Topic Author
  • Сообщений: 1
Virtualbox на Tails 3.9.1 (Debian 9.5)
« : 05 Октябрь 2018, 13:38:43 »
Добрый день, форумчане! Мне необходима ваша помощь в установке vbox на Tails. Уже третий день не могу сдвинуться с мертвой точки. :(
Пытался установить virtualbox в дистрибутив tails по этой статье (xakep.ru/2017/02/28/howto-install-virtualbox-in-tails), но в статье рассматривается устаревшая версия. Я же пытаюсь установить все это дело на версию Tails 3.9.1, который основан на debian 9.5 (в статье же рассматривается версия с debian 8 ). То, что нужно заменить jessie на stretch, я догадался, но возникли трудности на этапе установки модулей ядра.
Подскажите, как должны выглядеть строки sudo apt-get install linux-headers... linux-kbuild... linux-compiler... конкретно для моего случая?
Пробовал реализовать это через другую команду: sudo apt-get install linux-headers-$(uname -r), но получаю ошибку в виде: "The following packages have unmet dependencies: linux-headers-4.17.0.3-amd64 : Depends : linux-compiler-gcc-7-x86 (>=4.14.17-1~) but it is not going to be installed.
Так же пробовал изменить команду на sudo apt-get install linux-headers-4.17.0.3-amd64 linux-kbuild-4.17 linux-compiler-gcc-7-x86 gcc make, но так же получаю ошибку: Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 linux-compiler-gcc-7-x86 : Depends: gcc-7 (>= 7.2.0-20~) but it is not installable
E: Unable to correct problems, you have held broken packages.
« Последнее редактирование: 05 Октябрь 2018, 13:43:12 от Amaleic »
 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4894
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Virtualbox на Tails 3.9.1 (Debian 9.5)
« Ответ #1 : 05 Октябрь 2018, 15:55:40 »
В Debian 9 ядро 4.9 , в Вашем дистрибутиве получилась мешанина с проблемами с зависимостями пакетов. Вряд ли эту проблему нужно обсуждать на нашем форуме.

Оффлайн alexxnight

  • Местный житель
  • ***
  • Сообщений: 118
Re: Virtualbox на Tails 3.9.1 (Debian 9.5)
« Ответ #2 : 05 Октябрь 2018, 18:44:59 »
Возможно, Вы захотите отказаться от Virtual Box в пользу libvirt KVM?
Нативная поддержка в linux, проверенная технология.
 


Теги:
 

проблемы с установкой модуля для virtualbox 5.2.8

Автор axlrose

Ответов: 1
Просмотров: 374
Последний ответ 09 Май 2020, 19:36:37
от ferum
падает KDE при запущенной virtualbox

Автор elimental

Ответов: 6
Просмотров: 1374
Последний ответ 10 Октябрь 2015, 19:41:17
от elimental
ошибка в virtualbox NS_ERROR_FAILURE (0x80004005)

Автор nikahasper

Ответов: 2
Просмотров: 17367
Последний ответ 26 Июнь 2016, 13:57:10
от nivion
Ядро 3.0.4, проблемы с virtualbox-ose [РЕШЕНО]

Автор tetramin

Ответов: 8
Просмотров: 2481
Последний ответ 13 Ноябрь 2011, 14:00:53
от Angel_ok
Virtualbox сносит chromium

Автор midnight_walker

Ответов: 1
Просмотров: 1237
Последний ответ 23 Апрель 2017, 11:59:15
от qupl